MKINITFS(1)

NAME
mkinitfs - Generate an initramfs

SYNOPSIS

mkinitfs [OPTIONS] [KERNELVERSION]

DESCRIPTION
mkinitfs collects files from the root file system and creates a compressed initramfs from it.

-b BASEDIR
    Dont use files from the root file system, use specified path instead.

-c CONFIGFILE
    Use configfile instead of @sysconfdir@/mkinitfs.conf.

-f FSTAB
    Use fstab instead of @datadir@/fstab.

-F FEATURES
    Use specified features.

-h  Print this help.

-i INITFILE
    Use initfile as init instead of @datadir@/initramfs-init.

-k  Do not clean up temporary files.

-K  Also copy also host apk keys to initramfs.

-l  Do a dry run and only list files that would have been used.

-L  List all available features.

-n  Don't include kernel modules or firmware into the initramfs.

-o OUTFILE
    Set another outfile.

-P FEATURESDIR
    Prepend features.d search path. Use this if you want to define your own features outside of the system-wide directories.

-q  Quiet mode.

-t TMPDIR
    Use tempdir when creating initramfs image.

FILES

@sysconfdir@/mkinitfs.conf
    Default configuration file. It contains the list of default features in the format of features="...".

@sysconfdir@/features.d/FEATURE.modules
    Contains a list of kernel modules. Using the feature will cause the given kernel modules to be included in the initramfs. The modules are given by their filesystem paths, relative to /lib/modules/KERNELVERSION/.

@sysconfdir@/features.d/FEATURE.files
    Contains an list of absolute file names which will be included into the generated initramfs if the feature is enabled.

@datadir@/initramfs-init
    Shell script which will be placed as /init in the initramfs. This functions as the first executed program in early userspace.

AUTHOR

Written by Natanael Copa <ncopa@alpinelinux.org>, Timo Teräs <timo.teras@iki.fi> and others.

REPORTING BUGS
Alpine Linux Bugtracker: <https://bugs.alpinelinux.org/projects/alpine/issues>

SEE ALSO
mkinitfs-bootparam(7)